<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>
	
	<ui:define name="title">
		<h:outputText value="#{msg['pages.cadastraEquipe.title']}" />
	</ui:define>
	
		<ui:define name="principal">
		
		<h1><p:outputLabel value="#{msg['pages.cadastraEquipe.menu']}"/></h1>
		
		<h:form id="formEquipe">
		<p:panelGrid columns="1">		
			<p:outputLabel value="ID"/>
			<p:inputText value="#{equipeManagedBean.equipe.idEquipe}"/>
			
			<p:outputLabel value="#{msg['pages.cadastraEquipe.nome']}:"/>
			<p:inputText value="#{equipeManagedBean.equipe.nome}"/>
			
			<p:outputLabel value="#{msg['pages.cadastraEquipe.dataFundacao']}:">
				 <p:calendar id="button" value="#{equipeManagedBean.equipe.dataFundacao}" showOn="button" />
			</p:outputLabel>
			
			<p:outputLabel value="#{msg['pages.cadastraEquipe.cidade']}:"/>
			<p:inputText value="#{equipeManagedBean.equipe.cidade}"/>
			
		</p:panelGrid>
		<p:commandButton value="#{msg['pages.cadastraEquipe.btnSalvar']}"
						 action="#{equipeManagedBean.salvar}"
						 update="formEquipe tabelaEquipe"/>
		</h:form>
		
		
		<p:dataTable    var="aux"
						value="#{equipeManagedBean.equipes}"
						id="tabelaEquipe"
						editable="true" paginator="true"
						rows="5"
						paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
						rowsPerPageTemplate="5,10,15"
						selectionMode="single" selection="#{equipeManagedBean.equipeSelecionada}"
						rowkey="#{aux.idEquipe}">
		
		<p:ajax event="rowEdit" listener="#{equipeManagedBean.onRowEdit}"
		update="tabelaEquipe"/>
		<p:ajax event="rowSelect"/>
		<p:ajax event="rowUnselect"/>
						
		<p:column filterBy="#{aux.nome}" headerText="#{msg['pages.cadastraEquipe.nome']}">
			<p:cellEditor>
				<f:facet name="output">
					<p:outputLabel value="#{aux.nome}"/>
				</f:facet>
				<f:facet name="input">
					<p:inputText value="#{aux.nome}"/>
				</f:facet>
			</p:cellEditor>
		</p:column>
		
		<p:column headerText="#{msg['pages.cadastraEquipe.dataFundacao']}">
			<p:cellEditor>
				<f:facet name="output">
					<p:outputLabel value="#{aux.dataFundacao}">
						<f:convertDateTime pattern="MM/dd/yyyy"/>
					</p:outputLabel>
				</f:facet>
				<f:facet name="input">
					<p:inputText value="#{aux.dataFundacao}">
						<f:convertDateTime pattern="MM/dd/yyyy"/>
					</p:inputText>
				</f:facet>
			</p:cellEditor>
		</p:column>
		
		<p:column headerText="#{msg['pages.cadastraEquipe.cidade']}">
			<p:cellEditor>
				<f:facet name="output">
					<p:outputLabel value="#{aux.cidade}"/>
				</f:facet>
				<f:facet name="input">
					<p:inputText value="#{aux.cidade}"/>
				</f:facet>
			</p:cellEditor>
		</p:column>
		
		<p:column headerText="#{msg['pages.cadastraEquipe.diretor']}">
			<p:commandButton action="cadastraDiretorEquipe.xhmtl?faces-redirect=true" icon="ui-icon-plus">
				<f:setPropertyActionListener value="#{equipeManagedBean.equipeSelecionada}" 
				target="#{equipeManagedBean.equipeSelecionada}"/>
			</p:commandButton>
			<p:button outcome="mostraDiretores.xhtml" icon="ui-icon-search"/>
		</p:column>
		
		<p:column style="width:70px" headerText="#{msg['pages.comuns.menuLateral.options']}">
					
					<p:rowEditor />
					
					<p:commandLink id="remover" styleClass="ui-icon ui-icon-trash"
						style="text-align:center"
						actionListener="#{equipeManagedBean.remover(aux)}"
						update="tabelaEquipe" />
	  			</p:column>
		
		</p:dataTable>
		
		</ui:define>
	</ui:composition>
	
	
	
	